Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Extend Line or Arc Dynamically with Arc??

 Is there any way to dynamically extend existing geometry (Lines or arcs) with an arc?  I do this all the time in Rhino and would really like to do it in BricsCAD.

Thanks!
Jeff

Comments

  • I am not too sure that I understand what you mean by "with an arc", however there is the LENGTHEN command which has a couple of different options for adding length to an entity, one of those is DYnamic where after selecting an entity you can add (or remove) from the length of an entity by dragging your mouse around.
  •  Scott,

    Yeah, that's not quite it.  Here is an example video - http://screencast.com/t/6pjfPhs3pnz

    Thanks!
    Jeff
  • That's a neat trick. I don't know of any way to do that in Bricscad (which doesn't necessarily mean there isn't a way), but I know that if you draw a polyline with arcs it looks just like your video; each arc segment starts out tangent to the previous line or arc segment. Maybe that would do what you want?
  • BricsCAD will do exactly that using the Follow option in the arc command. The only trick is it follows the last line or arc that you created.

    Arc Follow Example.mp4

  • As I feared, it's there but I didn't know about it. Thanks, Donald.

    Jeff:  If you want, you can create a custom command that does that every time, so you can just keep pressing Enter or the space bar to repeat it and keep drawing tangent arcs, and not have to enter the Follow option each time.
    [code](defun c:AF () (command "arc" "f" "\\") )[/code]
  • Cool, a few years back I wrote a little script that drew a continuous bunch of arcs, it could be modified to draw something like that, and would be a great use of the GRREAD function.  if I have time this weekend I will write something up for you.
  • As I feared, it's there but I didn't know about it. Thanks, Donald.

    Jeff:  If you want, you can create a custom command that does that every time, so you can just keep pressing Enter or the space bar to repeat it and keep drawing tangent arcs, and not have to enter the Follow option each time.
    (defun c:AF () (command "arc" "f" "\\") ) 


    Anthony,

    That's close, but I can't pick existing geometry and make the first arc tangent to it.  I can use it by drawing a new line or arc over the existing geometry and then issue the command.  That works but it's not optimal by any means.  Definitely better than nothing, and keeps me from having to go into Rhino for simple 2D like this.  But then again, I never mind going into Rhino!  I love that program!  BricsCAD and Rhino are an awesome couple!

    Thanks much!
    Jeff
  • Cool, a few years back I wrote a little script that drew a continuous bunch of arcs, it could be modified to draw something like that, and would be a great use of the GRREAD function.  if I have time this weekend I will write something up for you.

    That would be awesome!  

    Thanks Scott!
  •  I don't know much about lisp, but maybe there is lisp routing that would change a specific piece if geometry to make it the "last" drawn entity so the Arc Follow would work on it instead of having to draw over the existing geometry?

    Just thinking out loud...

    Jeff
  • Yes, that would work. Good idea.

    Unfortunately, the "last drawn" rule doesn't seem to mean any newest entity, but only the newest entity created by the LINE, ARC, or POLYLINE command (and maybe others? Play around with it to confirm.) So you can't just duplicate the selected entity in place. But that rule does seem to apply even if the "last drawn" entity has been deleted. So the lisp function could determine what type of entity you selected, and then use its coordinates to re-draw the entity in the same place and in the same direction, and then delete it.

    That would be very easy for some people, but it would take me more time than I'm willing to put into it. If you present this problem in the Lisp forum at The Swamp, someone will probably write the function you need within a few hours or even a few minutes. They're mostly using Autocad, but anything they write for Autocad will work in Bricscad.
  • Try the attached Lisp.

    ArcFollow.lsp

  • Oops, some of the 'trans' stuff was wrong.
    Try the new version.

    ArcFollow_02.lsp

  • Oops #2, Forgot "_none" somewhere.
    New version attached.

    ArcFollow_03.lsp

  • Outstanding, Roy! Your ArcFollow can follow from either the start point or end point of an entity, not just the end point as the normal Arc command with Follow option would do.

    Jeff, it may be even better than the tool shown in your video. In the video, it looked like you always have to select an entity to follow, even if you want to continue from the last arc you created. But with ArcFollow, if you press Enter or Space after selecting the entity to follow, but before picking the end point of the new arc, it continues drawing arcs that follow one another until another Enter. You don't have to keep executing the command or picking the object you want to follow.
  •  Roy,

    That is more than perfect!!!  Awesome little lisp routine and does exactly what I need it to do!  Thank you so much for taking time to help me!  I really appreciate it!

    Is there anything I can do for you in return?

    Kindest regards,
    Jeff
  • Outstanding, Roy! Your ArcFollow can follow from either the start point or end point of an entity, not just the end point as the normal Arc command with Follow option would do.

    Jeff, it may be even better than the tool shown in your video. In the video, it looked like you always have to select an entity to follow, even if you want to continue from the last arc you created. But with ArcFollow, if you press Enter or Space after selecting the entity to follow, but before picking the end point of the new arc, it continues drawing arcs that follow one another until another Enter. You don't have to keep executing the command or picking the object you want to follow.

    Actually, Extend Curve in Rhino 3D is more than just using Arc for extending:

    Extend Curve
    imageextend_curve.gif

  • Actually, Extend Curve in Rhino 3D is more than just using Arc for extending:

    Extend Curve

    Resto,

    Yeah, I understand that.  I was just looking for the portion I demonstrated, and Roy NAILED IT!!!

    I have been using Rhino since the very first BETA.  Rhino is an incredible program!!  I use Rhine EVERY SINGLE DAY - Love it!!

    Jeff
This discussion has been closed.
Origami
Origami is the Japanese word for paper folding. ORI means to fold and KAMI means paper and involves the creation of paper forms usually entirely by folding.

Powered by VanillaForums, Designed by Steam